#define LED_BUILTIN PC13
#define LED_FRONT   PA0

#define DURATION 100
uint32_t timeoutBlink;

void setup() {
  pinMode(LED_BUILTIN, OUTPUT);
  pinMode(LED_FRONT  , OUTPUT);
  digitalWrite(LED_BUILTIN, LOW);
  digitalWrite(LED_FRONT  , HIGH);
  afio_cfg_debug_ports(AFIO_DEBUG_SW_ONLY); // disable JTAG, use I/O pins

}

void loop() {
  if (millis() > timeoutBlink) {
    digitalWrite(LED_BUILTIN, !digitalRead(LED_BUILTIN));
    digitalWrite(LED_FRONT  , !digitalRead(LED_FRONT));
    timeoutBlink = millis() + DURATION;
  }
}
